Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://app.usequeue.com/api/v1/file_comments/{file_comment_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "text": "<string>", "private": true } '
import requests url = "https://app.usequeue.com/api/v1/file_comments/{file_comment_id}" payload = { "text": "<string>", "private": True } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({text: '<string>', private: true}) }; fetch('https://app.usequeue.com/api/v1/file_comments/{file_comment_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://app.usequeue.com/api/v1/file_comments/{file_comment_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'text' => '<string>', 'private' => true ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.usequeue.com/api/v1/file_comments/{file_comment_id}" payload := strings.NewReader("{\n \"text\": \"<string>\",\n \"private\": true\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://app.usequeue.com/api/v1/file_comments/{file_comment_id}") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"text\": \"<string>\",\n \"private\": true\n}") .asString();
require 'uri' require 'net/http' url = URI("https://app.usequeue.com/api/v1/file_comments/{file_comment_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"text\": \"<string>\",\n \"private\": true\n}" response = http.request(request) puts response.read_body
{ "id": 97, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "text": "changed hehe", "file": { "id": "529e15ad83ee", "title": "10x faster.png", "link": "<string>" }, "user": { "username": "<string>", "email": "jsmith@example.com", "avatar": "<string>" }, "private": false, "comments": [ { "id": 3, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "body": "<p>nested reply</p>", "user": { "username": "<string>", "email": "jsmith@example.com", "avatar": "<string>" }, "file_comment_id": 97, "private": true } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Updated file comment
97
"changed hehe"
Show child attributes
false